Bug 697370 - set keep-id on <step>
set keep-id on <step>
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-17 23:45 EDT by Ruediger Landmann
Modified: 2011-07-25 20:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 20:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2011-04-17 23:45:09 EDT
If you set an id on a <step>, Publican removes this during building; you cannot therefore link directly to a <step>.
Comment 1 Jeff Fearn 2011-04-18 01:34:44 EDT
Added keep_id to step in XmlClean.
Comment 2 Jeff Fearn 2011-07-04 08:04:02 EDT
back ported fix to branches/publican-2x

Committed revision 1798.
Comment 3 Rebecca Newton 2011-07-12 20:01:36 EDT
Huzzah! I can verify that this behaves as expected.

Note You need to log in before you can comment on or make changes to this bug.